Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## LumiSoft.UI.Controls.WOutlookBar
Class Items

    java.lang.Object
      LumiSoft.UI.Controls.WOutlookBar.Items

All Implemented Interfaces:
  java.lang.Iterable<Item>

    public class Items

extends java.lang.Object
implements java.lang.Iterable<Item>

Outlookbar bar items collection.

Method Summary
`void` | `Add(java.lang.String text, int imageIndex)` Adds new item Bar items collection.
`void` | `Add(java.lang.String text, int imageIndex, java.lang.Object tag)`
`void` | `Add(java.lang.String text, java.lang.String textID, int imageIndex)` Adds new item Bar items collection.
`void` | `Add(java.lang.String text, java.lang.String textID, int imageIndex, java.lang.Object tag)`
`boolean` | `Contains(Item item)` Gets if items collection contains specified item.
`Item` | `get(int index)` Gets item from specified index.
`Bar` | `getBar()` Gets items owner bar.
`int` | `getCount()` Gets number of items in collection.
`Item[]` | `getVisibleItems()` Gets visible items.
`int` | `IndexOf(Item item)` Gets item index in collection or -1 if item won't belong to this collection.
`java.util.Iterator<Item>` | `iterator()` Gets iterator.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### Add

    public void Add(java.lang.String text,
                    int imageIndex)

  Adds new item Bar items collection.

  Parameters:
    `text` - Item text.
    `imageIndex` - Item image index.

### Add

    public void Add(java.lang.String text,
                    java.lang.String textID,
                    int imageIndex)

  Adds new item Bar items collection.

  Parameters:
    `text` - Item text.
    `textID` -
    `imageIndex` - Item image index.

### Add

    public void Add(java.lang.String text,
                    int imageIndex,
                    java.lang.Object tag)

  Parameters:
    `text` -
    `imageIndex` -
    `tag` -

### Add

    public void Add(java.lang.String text,
                    java.lang.String textID,
                    int imageIndex,
                    java.lang.Object tag)

  Parameters:
    `text` -
    `textID` -
    `imageIndex` -
    `tag` -

### Contains

    public boolean Contains(Item item)

  Gets if items collection contains specified item.

  Parameters:
    `item` -
  Returns:

### IndexOf

    public int IndexOf(Item item)

  Gets item index in collection or -1 if item won't belong to this collection.

  Parameters:
    `item` -
  Returns:

### get

    public Item get(int index)

  Gets item from specified index. Index is zero based.

  Parameters:
    `index` -
  Returns:

### getCount

    public int getCount()

  Gets number of items in collection.

  Returns:

### getVisibleItems

    public Item[] getVisibleItems()

  Gets visible items.

  Returns:

### getBar

    public Bar getBar()

  Gets items owner bar.

  Returns:

### iterator

    public java.util.Iterator<Item> iterator()

  Gets iterator.

  Specified by:
    `iterator` in interface `java.lang.Iterable<Item>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD